### Function

# AppStream utils_is_platform_triplet

since: 0.14.0

#### Declaration [src]

    gboolean
    as_utils_is_platform_triplet (
      const gchar* triplet
    )

#### Description [src]

Test if the given string is a valid platform triplet recognized by AppStream.

Available since: 0.14.0

#### Parameters

`triplet`

  Type: `const gchar*`

  A platform triplet.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if triplet is valid.